#ifndef SWIFT_GUI_RADIO_H
#define SWIFT_GUI_RADIO_H

#include <swift/gui/api.h>
#include <swift/gui/widget.h>
#include <swift/string.h>

typedef struct swift_radio_t swift_radio_t;

struct swift_radio_t {
	swift_widget_t *main, *lbl;
	swift_array_t arr;
};

SWIFT_GUI_API void swift_create_radio(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw,
		swift_str_t *img_path, swift_widget_t *linkparent, bool checked,
			bool visible);
SWIFT_GUI_API void swift_create_radio_lbl(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw,
		swift_str_t *img_path, swift_widget_t *linkparent, swift_str_t *text,
			swift_font_t *font, swift_vec4f_t color, bool checked,
				size_t font_size, bool visible);
#endif /*SWIFT_GUI_RADIO_H*/
