#ifndef SWIFT_GUI_TEXTBOX_H
#define SWIFT_GUI_TEXTBOX_H

#include <swift/gui/api.h>
#include <swift/gui/widget.h>
#include <swift/string.h>

typedef struct swift_textbox_t swift_textbox_t;

struct swift_textbox_t {
	swift_text_t str;
	bool visible;
	double time, blink;
	size_t count;
	swift_str_iter_t start;
	swift_sprite_t cursor;
};

SWIFT_GUI_API void swift_create_stextbox(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw,
		swift_vec2f_t offset, swift_vec4f_t color, size_t maxchars,
			swift_font_t *font, size_t font_size, swift_str_t *img_path,
				bool is_pass, bool visible);
SWIFT_GUI_API swift_str_t *swift_get_textbox_string(swift_widget_t *control);
#endif /*SWIFT_GUI_TEXTBOX_H*/
