#include <swift/unicode.h>
#include <swift/io.h>

static swift_ref_t ref = SWIFT_REF(0);

static void swift_do_term_io(swift_ref_t *ref)
{
	swift_term_unicode();
}

bool swift_init_io(void)
{
	if (swift_acquire_ref_unless_zero(&ref))
		return true;

	if (!swift_init_unicode())
		return false;

	swift_acquire_ref(&ref);

	return true;
}

void swift_term_io(void)
{
	swift_release_ref(&ref, swift_do_term_io);
}
