# -*- mode: autoconf -*-
#
# Check whether the platform supports the POSIX standard.
#
# version: 1.0
# author: S.J.R. van Schaik <stephan@synkhronix.com>
#

AC_DEFUN([AX_CHECK_POSIX], [
AC_MSG_CHECKING(whether posix is supported)
AC_EGREP_CPP(POSIX_SUPPORT, [
	#include <unistd.h>
	#ifdef _POSIX_VERSION
	POSIX_SUPPORT
	#endif],
	[AC_MSG_RESULT(yes)
	$1],
	[AC_MSG_RESULT(no)
	$2])
])

