#ifndef MSW_MONITOR_H
#define MSW_MONITOR_H

#define OPERATION_KEY 1

typedef struct sys_event_t sys_event_t;
typedef struct sys_monitor_t sys_monitor_t;

typedef void (* sys_on_complete_func_t)(DWORD error, DWORD transferred,
	sys_event_t *event);

struct sys_monitor_t {
	HANDLE handle;
};

struct sys_event_t {
	OVERLAPPED overlapped;
	sys_on_complete_func_t on_complete;
};

#endif /* MSW_MONITOR_H */
