#ifndef GENERIC_BARRIER_H
#define GENERIC_BARRIER_H

#include <swift/thread.h>

typedef struct native_barrier_t native_barrier_t;

struct native_barrier_t {
	struct swift_mutex_t *lock;
	struct swift_cond_t *wait;
	unsigned int count, size;
};

#endif /* GENERIC_BARRIER_H */
