#ifndef GENERIC_COND_H
#define GENERIC_COND_H

#include <swift/thread.h>

typedef struct native_cond_t native_cond_t;

struct native_cond_t {
	struct swift_mutex_t *lock;
	struct swift_sem_t *wait, *ready;
	unsigned int wait_count, signal_count;
};

#endif /* GENERIC_COND_H */
