#ifndef SWIFT_EVENT_TIMER_H
#define SWIFT_EVENT_TIMER_H

#include <swift/stdlib.h>
#include <swift/time.h>

#include <swift/event/api.h>

typedef void (* swift_run_timer_fn_t)(void *user_data);

SWIFT_EVENT_API bool swift_timer_schedule(swift_time_t delay,
	swift_run_timer_fn_t run_timer, void *user_data);

#endif /* SWIFT_EVENT_TIMER_H */
