#ifndef NATIVE_SOURCE_H
#define NATIVE_SOURCE_H

#include <swift/stdlib.h>

typedef struct swift_ev_src_t swift_ev_src_t;

struct swift_ev_src_t {
	swift_ref_t ref;
	swift_poll_ev_fn_t poll_ev;
	void *user_data;
	unsigned int flags;
};

size_t swift_hash_ev_src(const void *data);
bool swift_eq_ev_srcs(const void *lhs_, const void *rhs_);
swift_ev_src_t *swift_new_ev_src(swift_poll_ev_fn_t poll_ev, void *user_data,
	unsigned int flags);
void swift_del_ev_src(swift_ev_src_t *src);
swift_ev_src_t *swift_ref_ev_src(swift_ev_src_t *src);

#endif /* NATIVE_SOURCE_H */
