#ifndef SWIFT_GUI_CHECKBOX_H
#define SWIFT_GUI_CHECKBOX_H

#include <swift/gui/api.h>
#include <swift/gui/widget.h>
#include <swift/string.h>

SWIFT_GUI_API void swift_create_checkbox(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw,
		swift_str_t *img_path, bool visible);
SWIFT_GUI_API void swift_create_checkbox_lbl(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw,
		swift_str_t *img_path, swift_str_t *text, swift_font_t *font,
			swift_vec4f_t color, size_t font_size, bool visible);
#endif /*SWIFT_GUI_CHECKBOX_H*/
