#ifndef SWIFT_GUI_PICTUREBOX_H
#define SWIFT_GUI_PICTUREBOX_H

#include <swift/gui/api.h>
#include <swift/gui/widget.h>
#include <swift/string.h>

SWIFT_GUI_API void swift_create_picturebox(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw,
		swift_vec4f_t tex_pos, swift_str_t *img_path, bool visible);
SWIFT_GUI_API void swift_update_picturebox(swift_widgets_t *wgts,
	swift_widget_t *control, swift_vec2f_t pos, swift_vec2f_t hw,
		swift_vec4f_t tex_pos, swift_str_t *img_path);
#endif /*SWIFT_GUI_PICTUREBOX_H*/
