#ifndef SWIFT_GUI_PROGRESSBAR_H
#define SWIFT_GUI_PROGRESSBAR_H

#include <swift/gui/api.h>
#include <swift/gui/widget.h>
#include <swift/string.h>

SWIFT_GUI_API void swift_update_progressbar_value(swift_widget_t *control,
	size_t value);
SWIFT_GUI_API void swift_create_hprogressbar(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw, size_t value,
		swift_str_t *background, swift_str_t *hbar, bool visible);
SWIFT_GUI_API void swift_create_vprogressbar(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw, size_t value,
		swift_str_t *background, swift_str_t *vbar, bool visible);
#endif /*SWIFT_GUI_PROGRESSBAR_H*/
