#include <swift/io.h>

#include "config.h"

uint16_t swift_bswap16_be(uint16_t x)
{
#if WORDS_BIGENDIAN
	return x;
#else
	return swift_bswap16(x);
#endif
}

uint32_t swift_bswap32_be(uint32_t x)
{
#if WORDS_BIGENDIAN
	return x;
#else
	return swift_bswap32(x);
#endif
}

uint64_t swift_bswap64_be(uint64_t x)
{
#if WORDS_BIGENDIAN
	return x;
#else
	return swift_bswap64(x);
#endif
}

uint16_t swift_bswap16_le(uint16_t x)
{
#if WORDS_BIGENDIAN
	return swift_bswap16(x);
#else
	return x;
#endif
}

uint32_t swift_bswap32_le(uint32_t x)
{
#if WORDS_BIGENDIAN
	return swift_bswap32(x);
#else
	return x;
#endif
}

uint64_t swift_bswap64_le(uint64_t x)
{
#if WORDS_BIGENDIAN
	return swift_bswap64(x);
#else
	return x;
#endif
}
