#ifndef SWIFT_MATHS_MAT2F_H
#define SWIFT_MATHS_MAT2F_H

#include <swift/stdlib.h>

#include <swift/maths/api.h>

typedef union swift_mat2f_t swift_mat2f_t;

union swift_mat2f_t {
	struct {
		float m00, m10;
		float m01, m11;
	}m;
	float data[2*2];
};

#define SWIFT_MAT2F(...) ((swift_mat2f_t){__VA_ARGS__})

#endif /* SWIFT_MATHS_MAT2F_H */
