#ifndef SYS_ADDR_H
#define SYS_ADDR_H

#include <swift/net.h>

bool sys_init_addr(swift_addr_t *addr, unsigned int addr_type);
bool sys_init_addr_from(swift_addr_t *addr, const void *data);
void sys_term_addr(swift_addr_t *addr);
bool sys_resolve_addr(swift_array_t *addrs, unsigned int addr_type,
	const char *name, uint16_t port, unsigned int flags);
swift_str_t *sys_resolve_name(swift_addr_t *addr, unsigned int flags);

#endif /* SYS_ADDR_H */
