#ifndef SYS_MONITOR_H
#define SYS_MONITOR_H

#include <swift/net.h>

bool sys_init_monitor(swift_monitor_t *monitor, unsigned long thread_count);
void sys_term_monitor(swift_monitor_t *monitor);
bool sys_monitor_sock(swift_monitor_t *monitor, swift_sock_t *sock);
void sys_deregister_sock(swift_monitor_t *monitor, swift_sock_t *sock);
bool sys_update_sock(swift_sock_t *sock);
void sys_poll_monitor(swift_monitor_t *monitor);

#endif /* SYS_MONITOR_H */
