#ifndef NATIVE_COND_H
#define NATIVE_COND_H

#include <swift/thread.h>
#include <swift/time.h>

bool native_init_cond(swift_cond_t *cond);
void native_term_cond(swift_cond_t *cond);

bool native_cond_wait(swift_cond_t *cond, swift_mutex_t *mutex);
bool native_cond_timed_wait(swift_cond_t *cond, swift_mutex_t *mutex,
	swift_time_t time);
bool native_cond_signal(swift_cond_t *cond);
bool native_cond_broadcast(swift_cond_t *cond);

#endif /* NATIVE_COND_H */
