#ifndef NATIVE_MUTEX_H
#define NATIVE_MUTEX_H

#include <swift/thread.h>
#include <swift/time.h>

bool native_init_mutex(swift_mutex_t *mutex);
void native_term_mutex(swift_mutex_t *mutex);
bool native_mutex_lock(swift_mutex_t *mutex);
bool native_mutex_try_lock(swift_mutex_t *mutex);
bool native_mutex_timed_lock(swift_mutex_t *mutex,
	swift_time_t time);
bool native_mutex_unlock(swift_mutex_t *mutex);

#endif /* NATIVE_MUTEX_H */
