#ifndef NATIVE_SEM_H
#define NATIVE_SEM_H

#include <swift/thread.h>
#include <swift/time.h>

bool native_init_sem(swift_sem_t *sem, int count);
void native_term_sem(swift_sem_t *sem);
bool native_sem_wait(swift_sem_t *sem);
bool native_sem_try_wait(swift_sem_t *sem);
bool native_sem_timed_wait(swift_sem_t *sem, swift_time_t time);
bool native_sem_signal(swift_sem_t *sem);

#endif /* NATIVE_SEM_H */
